# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > PieChart
Search:
Filters Show Private Show Protected Show Deprecated

## Class PieChart - extends ChartBase

The PieChart class creates a pie chart

### Constructor

PieChart `( )`

#### Properties inherited from ChartBase:

`_axes, _axisClass, _dataProvider, _direction, _seriesCollection`

### Methods

#### _addAxes

`private void _addAxes ( )`

#### _addSeries

`private void _addSeries ( )`

#### _getDefaultAxes

`private void _getDefaultAxes ( )`

#### _getSeriesCollection

`private void _getSeriesCollection ( )`

#### _parseAxes

`private void _parseAxes ( )`

#### _parseSeriesAxes

`private void _parseSeriesAxes ( )`

#### _redraw

`private void _redraw ( )`

#### _sizeChanged

`private void _sizeChanged ( )`

#### getSeriesItem

`void getSeriesItem ( series , index )`
Returns an object literal containing a categoryItem and a valueItem for a given series index.

Parameters:
  `series <object>` Reference to a series.
  `index <object>` Index of the specified item within a series.

#### Methods inherited from ChartBase:

`_addTooltip, _dataProviderChangeHandler, _getAxisClass, _getGraph, _getTooltip, _markerEventDispatcher, _planarLabelFunction, _positionTooltip, _setDataValues, _setSeriesCollection, _showTooltip, _tooltipChangeHandler, _tooltipLabelFunction, _updateTooltip, bindUI, getAxisByKey, getCategoryAxis, getSeries, hideTooltip, renderUI, toggleTooltip`

### Events

#### axesChange

`axesChange ( event )`
Fires when the value for the configuration attribute 'axes' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### seriesCollectionChange

`seriesCollectionChange ( event )`
Fires when the value for the configuration attribute 'seriesCollection' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### typeChange

`typeChange ( event )`
Fires when the value for the configuration attribute 'type' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from ChartBase:

`axesCollectionChange, categoryKeyChange, categoryTypeChange, dataProviderChange, graphChange, interactionTypeChange, markerEvent:click, markerEvent:mousedown, markerEvent:mouseout, markerEvent:mouseover, markerEvent:mouseup seriesKeysChange tooltipChange`

### Configuration Attributes

#### axes `- Object`

Axes to appear in the chart.

#### seriesCollection `- Array`

Collection of series to appear on the chart. This can be an array of Series instances or object literals used to describe a Series instance.

#### type `- String`

Type of chart when there is no series collection specified.

#### Configuration attributes inherited from ChartBase:

`axesCollection, categoryKey, categoryType, dataProvider graph interactionType seriesKeys tooltip`

Copyright © 2011 Yahoo! Inc. All rights reserved.